## soapyrtlsdr 0.3.0

=== CMakeLists.txt ===
########################################################################
# Build Soapy SDR support module for RTL-SDR Devices
########################################################################
cmake_minimum_required(VERSION 2.8.7)
project(SoapyRTLSDR CXX)

find_package(SoapySDR "0.4.0" NO_MODULE REQUIRED)
if (NOT SoapySDR_FOUND)
    message(FATAL_ERROR "Soapy SDR development files not found...")
endif ()

list(APPEND CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR})
find_package(RTLSDR)

if (NOT RTLSDR_FOUND)
    message(FATAL_ERROR "RTL-SDR development files not found...")
endif ()
message(STATUS "RTLSDR_INCLUDE_DIRS - ${RTLSDR_INCLUDE_DIRS}")
message(STATUS "RTLSDR_LIBRARIES - ${RTLSDR_LIBRARIES}")

include_directories(${CMAKE_CURRENT_SOURCE_DIR})
include_directories(${RTLSDR_INCLUDE_DIRS})

#enable c++11 features
if(CMAKE_COMPILER_IS_GNUCXX)

    #C++11 is a required language feature for this project
    include(CheckCXXCompilerFlag)
    CHECK_CXX_COMPILER_FLAG("-std=c++11" HAS_STD_CXX11)
    if(HAS_STD_CXX11)
        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
    else(HAS_STD_CXX11)
        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++0x")
    endif()

    #Thread support enabled (not the same as -lpthread)
    list(APPEND RTLSDR_LIBRARIES -pthread)

    #disable warnings for unused parameters
    add_definitions(-Wno-unused-parameter)

endif(CMAKE_COMPILER_IS_GNUCXX)

if (APPLE)
   set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11 -Wc++11-extensions")
endif(APPLE)

set(OTHER_LIBS "" CACHE STRING "Other libraries")

SOAPY_SDR_MODULE_UTIL(
    TARGET rtlsdrSupport
    SOURCES
        SoapyRTLSDR.hpp
        Registation.cpp
        Settings.cpp
        Streaming.cpp
    LIBRARIES
        ${RTLSDR_LIBRARIES}
        ${OTHER_LIBS}
)

## soapyrtlsdr 0.2.1

=== debian/changelog ===
soapyrtlsdr (0.2.1-2) unstable; urgency=medium

  * Add implement-big-endian-build patch to fix build failure on all big
    endian architectures

 -- Andreas Bombe <aeb@debian.org>  Tue, 16 Aug 2016 22:10:42 +0200

soapyrtlsdr (0.2.1-1) unstable; urgency=medium

  * Initial release (Closes: #834378)

 -- Andreas Bombe <aeb@debian.org>  Tue, 16 Aug 2016 03:39:42 +0200

=== debian/control ===
Source: soapyrtlsdr
Section: hamradio
Priority: optional
Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
Uploaders: Andreas Bombe <aeb@debian.org>
Build-Depends:
    debhelper (>= 9),
    cmake,
    libsoapysdr-dev,
    librtlsdr-dev
Standards-Version: 3.9.8
Homepage: https://github.com/pothosware/SoapyRTLSDR/wiki
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-hamradio/soapyrtlsdr.git
Vcs-Git: https://anonscm.debian.org/git/pkg-hamradio/soapyrtlsdr.git

Package: soapysdr0.5-2-module-rtlsdr
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: soapysdr0.5-2-module
Description: RTL-SDR device support for SoapySDR
 The Soapy RTL-SDR project provides a SoapySDR hardware support module.
 Using this, any program using SoapySDR to interface to software
 defined radio hardware can make use of low cost DVB-T/DAB+ USB dongles
 based on the Realtek RTL2832U chip as receivers.

Package: soapysdr-module-rtlsdr
Architecture: any
Depends: soapysdr0.5-2-module-rtlsdr, ${misc:Depends}
Description: RTL-SDR device support for SoapySDR (default version)
 The Soapy RTL-SDR project provides a SoapySDR hardware support module.
 Using this, any program using SoapySDR to interface to software
 defined radio hardware can make use of low cost DVB-T/DAB+ USB dongles
 based on the Realtek RTL2832U chip as receivers.
 .
 This is an empty dependency package that pulls in the RTL-SDR module
 for the default version of libsoapysdr.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --buildsystem=cmake --parallel

override_dh_auto_configure:
	dh_auto_configure -- -DLIB_SUFFIX="/$(DEB_HOST_MULTIARCH)"

override_dh_installdocs:
	dh_installdocs --link-doc=soapysdr0.5-2-module-rtlsdr

override_dh_installchangelogs:
	dh_installchangelogs Changelog.txt

## soapyrtlsdr 0.2.2

=== debian/changelog ===
soapyrtlsdr (0.2.2-2) unstable; urgency=medium

  * Make soapysdr-module-rtlsdr Multi-Arch: same
  * Raise debhelper compat level to 10
  * Remove unnecessary dh_installchangelogs override

 -- Andreas Bombe <aeb@debian.org>  Tue, 10 Jan 2017 03:55:20 +0100

soapyrtlsdr (0.2.2-1) unstable; urgency=medium

  * New upstream version 0.2.2
  * Remove implement-big-endian-build patch, applied upstream
  * Add FindRTLSDR.cmake entry to debian/copyright file

 -- Andreas Bombe <aeb@debian.org>  Mon, 12 Sep 2016 01:22:23 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
 Uploaders: Andreas Bombe <aeb@debian.org>
 Build-Depends:
-    debhelper (>= 9),
+    debhelper (>= 10),
     cmake,
     libsoapysdr-dev,
     librtlsdr-dev
@@ -26,6 +26,7 @@
 
 Package: soapysdr-module-rtlsdr
 Architecture: any
+Multi-Arch: same
 Depends: soapysdr0.5-2-module-rtlsdr, ${misc:Depends}
 Description: RTL-SDR device support for SoapySDR (default version)
  The Soapy RTL-SDR project provides a SoapySDR hardware support module.

=== debian/rules ===
--- 
+++ 
@@ -9,13 +9,10 @@
 #export DH_VERBOSE=1
 
 %:
-	dh $@ --buildsystem=cmake --parallel
+	dh $@ --buildsystem=cmake
 
 override_dh_auto_configure:
 	dh_auto_configure -- -DLIB_SUFFIX="/$(DEB_HOST_MULTIARCH)"
 
 override_dh_installdocs:
 	dh_installdocs --link-doc=soapysdr0.5-2-module-rtlsdr
-
-override_dh_installchangelogs:
-	dh_installchangelogs Changelog.txt

## soapyrtlsdr 0.2.4

=== debian/changelog ===
soapyrtlsdr (0.2.4-1) unstable; urgency=medium

  * New upstream version 0.2.4
  * Change SoapySDR ABI version in package names and dependencies from 0.5-2
    to 0.6
  * Build-Depend on versioned libsoapysdr0.6-dev instead of libsoapysdr-dev
  * Add Josh Blum copyright line to debian/copyright
  * Bump Standards-Version to 4.0.1, no changes required

 -- Andreas Bombe <aeb@debian.org>  Sun, 06 Aug 2017 15:26:15 -0400

=== debian/control ===
--- 
+++ 
@@ -6,18 +6,18 @@
 Build-Depends:
     debhelper (>= 10),
     cmake,
-    libsoapysdr-dev,
+    libsoapysdr0.6-dev,
     librtlsdr-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.0.1
 Homepage: https://github.com/pothosware/SoapyRTLSDR/wiki
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-hamradio/soapyrtlsdr.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-hamradio/soapyrtlsdr.git
 
-Package: soapysdr0.5-2-module-rtlsdr
+Package: soapysdr0.6-module-rtlsdr
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Provides: soapysdr0.5-2-module
+Provides: soapysdr0.6-module
 Description: RTL-SDR device support for SoapySDR
  The Soapy RTL-SDR project provides a SoapySDR hardware support module.
  Using this, any program using SoapySDR to interface to software
@@ -27,7 +27,7 @@
 Package: soapysdr-module-rtlsdr
 Architecture: any
 Multi-Arch: same
-Depends: soapysdr0.5-2-module-rtlsdr, ${misc:Depends}
+Depends: soapysdr0.6-module-rtlsdr, ${misc:Depends}
 Description: RTL-SDR device support for SoapySDR (default version)
  The Soapy RTL-SDR project provides a SoapySDR hardware support module.
  Using this, any program using SoapySDR to interface to software

=== debian/rules ===
--- 
+++ 
@@ -15,4 +15,4 @@
 	dh_auto_configure -- -DLIB_SUFFIX="/$(DEB_HOST_MULTIARCH)"
 
 override_dh_installdocs:
-	dh_installdocs --link-doc=soapysdr0.5-2-module-rtlsdr
+	dh_installdocs --link-doc=soapysdr0.6-module-rtlsdr

## soapyrtlsdr 0.2.5

=== debian/changelog ===
soapyrtlsdr (0.2.5-1) unstable; urgency=medium

  * New upstream version 0.2.5
  * Raise debhelper compat level to 11
  * Change Vcs-* fields in debian/control to the salsa repository addresses
  * Link with --as-needed
  * Include /usr/share/dpkg/default.mk in debian/rules instead of defining
    DEB_HOST_MULTIARCH ourselves
  * Bump Standards-Version to 4.1.4, no changes required

 -- Andreas Bombe <aeb@debian.org>  Thu, 10 May 2018 15:26:17 +0200

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,14 @@
 Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
 Uploaders: Andreas Bombe <aeb@debian.org>
 Build-Depends:
-    debhelper (>= 10),
+    debhelper (>= 11),
     cmake,
     libsoapysdr0.6-dev,
     librtlsdr-dev
-Standards-Version: 4.0.1
+Standards-Version: 4.1.4
 Homepage: https://github.com/pothosware/SoapyRTLSDR/wiki
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-hamradio/soapyrtlsdr.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-hamradio/soapyrtlsdr.git
+Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/soapysdr/soapyrtlsdr
+Vcs-Git: https://salsa.debian.org/debian-hamradio-team/soapysdr/soapyrtlsdr.git
 
 Package: soapysdr0.6-module-rtlsdr
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -2,8 +2,9 @@
 # -*- makefile -*-
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
-DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+include /usr/share/dpkg/default.mk
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1

=== debian/watch ===
version=4
https://github.com/pothosware/SoapyRTLSDR/releases .*/soapy-rtlsdr-([\d\.]+)\.tar\.(?:xz|gz|bz2)

## soapyrtlsdr 0.3.0

=== debian/changelog ===
soapyrtlsdr (0.3.0-2build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:25:59 +0100

soapyrtlsdr (0.3.0-2) unstable; urgency=medium

  * Upload to unstable
  * Bump Standards-Version to 4.4.1, no changes required

 -- Andreas Bombe <aeb@debian.org>  Sun, 20 Oct 2019 17:43:42 +0200

soapyrtlsdr (0.3.0-1) experimental; urgency=medium

  * New upstream version 0.3.0
  * Change SoapySDR ABI version in package names and dependencies from 0.6 to
    0.7
  * Raise debhelper compat level to 12
  * Bump Standards-Version to 4.4.0, no changes required

 -- Andreas Bombe <aeb@debian.org>  Thu, 12 Sep 2019 22:34:15 +0200

=== debian/control ===
--- 
+++ 
@@ -4,20 +4,20 @@
 Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
 Uploaders: Andreas Bombe <aeb@debian.org>
 Build-Depends:
-    debhelper (>= 11),
+    debhelper (>= 12),
     cmake,
-    libsoapysdr0.6-dev,
+    libsoapysdr0.7-dev,
     librtlsdr-dev
-Standards-Version: 4.1.4
+Standards-Version: 4.4.1
 Homepage: https://github.com/pothosware/SoapyRTLSDR/wiki
 Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/soapysdr/soapyrtlsdr
 Vcs-Git: https://salsa.debian.org/debian-hamradio-team/soapysdr/soapyrtlsdr.git
 
-Package: soapysdr0.6-module-rtlsdr
+Package: soapysdr0.7-module-rtlsdr
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Provides: soapysdr0.6-module
+Provides: soapysdr0.7-module
 Description: RTL-SDR device support for SoapySDR
  The Soapy RTL-SDR project provides a SoapySDR hardware support module.
  Using this, any program using SoapySDR to interface to software
@@ -27,7 +27,7 @@
 Package: soapysdr-module-rtlsdr
 Architecture: any
 Multi-Arch: same
-Depends: soapysdr0.6-module-rtlsdr, ${misc:Depends}
+Depends: soapysdr0.7-module-rtlsdr, ${misc:Depends}
 Description: RTL-SDR device support for SoapySDR (default version)
  The Soapy RTL-SDR project provides a SoapySDR hardware support module.
  Using this, any program using SoapySDR to interface to software

=== debian/rules ===
--- 
+++ 
@@ -16,4 +16,4 @@
 	dh_auto_configure -- -DLIB_SUFFIX="/$(DEB_HOST_MULTIARCH)"
 
 override_dh_installdocs:
-	dh_installdocs --link-doc=soapysdr0.6-module-rtlsdr
+	dh_installdocs --link-doc=soapysdr0.7-module-rtlsdr

## soapyrtlsdr 0.3.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -20,6 +20,12 @@
 
 include_directories(${CMAKE_CURRENT_SOURCE_DIR})
 include_directories(${RTLSDR_INCLUDE_DIRS})
+
+# Test for Atomics
+include(CheckAtomic)
+if(NOT HAVE_CXX_ATOMICS_WITHOUT_LIB OR NOT HAVE_CXX_ATOMICS64_WITHOUT_LIB)
+    set(ATOMIC_LIBS "atomic")
+endif()
 
 #enable c++11 features
 if(CMAKE_COMPILER_IS_GNUCXX)
@@ -45,16 +51,26 @@
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11 -Wc++11-extensions")
 endif(APPLE)
 
+# check if rtlsdr library includes support for bias-tee
+include(CheckFunctionExists)
+set(CMAKE_REQUIRED_LIBRARIES ${RTLSDR_LIBRARIES})
+check_function_exists(rtlsdr_set_bias_tee HAS_RTLSDR_SET_BIAS_TEE)
+unset(CMAKE_REQUIRED_LIBRARIES)
+if (HAS_RTLSDR_SET_BIAS_TEE)
+    add_definitions(-DHAS_RTLSDR_SET_BIAS_TEE)
+endif()
+
 set(OTHER_LIBS "" CACHE STRING "Other libraries")
 
 SOAPY_SDR_MODULE_UTIL(
     TARGET rtlsdrSupport
     SOURCES
         SoapyRTLSDR.hpp
-        Registation.cpp
+        Registration.cpp
         Settings.cpp
         Streaming.cpp
     LIBRARIES
         ${RTLSDR_LIBRARIES}
+        ${ATOMIC_LIBS}
         ${OTHER_LIBS}
 )

=== debian/changelog ===
soapyrtlsdr (0.3.2-1) unstable; urgency=medium

  * New upstream version 0.3.2
  * Adapt d/watch to GitHub release list changes and make it accept
    soapy-rtl-sdr tag names in addition to soapy-rtlsdr
  * Remove --as-needed linker option, it is the default now
  * Use https for format field URL in d/copyright

 -- Andreas Bombe <aeb@debian.org>  Sun, 30 Jan 2022 18:34:07 +0100

soapyrtlsdr (0.3.0-4) unstable; urgency=medium

  * Upload to unstable

 -- Andreas Bombe <aeb@debian.org>  Tue, 07 Sep 2021 01:29:16 +0200

soapyrtlsdr (0.3.0-3) experimental; urgency=medium

  * Change SoapySDR ABI version in package names and dependencies from 0.7 to
    0.8
  * Set debhelper compat level in Build-Depends
  * Raise debhelper compat level to 13
  * Bump Standards-Version to 4.6.0, no changes required
  * Add Rules-Requires-Root field to d/control

 -- Andreas Bombe <aeb@debian.org>  Fri, 27 Aug 2021 01:48:09 +0200

=== debian/control ===
--- 
+++ 
@@ -4,20 +4,21 @@
 Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
 Uploaders: Andreas Bombe <aeb@debian.org>
 Build-Depends:
-    debhelper (>= 12),
+    debhelper-compat (= 13),
     cmake,
-    libsoapysdr0.7-dev,
+    libsoapysdr0.8-dev,
     librtlsdr-dev
-Standards-Version: 4.4.1
+Standards-Version: 4.6.0
 Homepage: https://github.com/pothosware/SoapyRTLSDR/wiki
 Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/soapysdr/soapyrtlsdr
 Vcs-Git: https://salsa.debian.org/debian-hamradio-team/soapysdr/soapyrtlsdr.git
+Rules-Requires-Root: no
 
-Package: soapysdr0.7-module-rtlsdr
+Package: soapysdr0.8-module-rtlsdr
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Provides: soapysdr0.7-module
+Provides: soapysdr0.8-module
 Description: RTL-SDR device support for SoapySDR
  The Soapy RTL-SDR project provides a SoapySDR hardware support module.
  Using this, any program using SoapySDR to interface to software
@@ -27,7 +28,7 @@
 Package: soapysdr-module-rtlsdr
 Architecture: any
 Multi-Arch: same
-Depends: soapysdr0.7-module-rtlsdr, ${misc:Depends}
+Depends: soapysdr0.8-module-rtlsdr, ${misc:Depends}
 Description: RTL-SDR device support for SoapySDR (default version)
  The Soapy RTL-SDR project provides a SoapySDR hardware support module.
  Using this, any program using SoapySDR to interface to software

## soapyrtlsdr 0.3.3

=== debian/changelog ===
soapyrtlsdr (0.3.3-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Update standards version to 4.6.2, no changes needed.
  * Set upstream metadata fields: Repository.

  [ A. Maitland Bottoms ]
  * Update to soapy-rtl-sdr-0.3.3-12-gb1f568d (Closes: #1113522)
  * Update standards version to 4.7.2, no changes needed.

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue, 21 Oct 2025 20:44:24 -0400

soapyrtlsdr (0.3.3-1) unstable; urgency=medium

  * New upstream version 0.3.3
  * Bump Standards-Version to 4.6.1, no changes required

 -- Andreas Bombe <aeb@debian.org>  Tue, 25 Oct 2022 01:35:59 +0200

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,14 @@
 Section: hamradio
 Priority: optional
 Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
-Uploaders: Andreas Bombe <aeb@debian.org>
+Uploaders: Andreas Bombe <aeb@debian.org>,
+           A. Maitland Bottoms <bottoms@debian.org>
 Build-Depends:
     debhelper-compat (= 13),
     cmake,
     libsoapysdr0.8-dev,
     librtlsdr-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/pothosware/SoapyRTLSDR/wiki
 Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/soapysdr/soapyrtlsdr
 Vcs-Git: https://salsa.debian.org/debian-hamradio-team/soapysdr/soapyrtlsdr.git

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/default.mk

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure -- -DLIB_SUFFIX="/$(DEB_HOST_MULTIARCH)"

override_dh_installdocs:
	dh_installdocs --link-doc=soapysdr0.8-module-rtlsdr

=== debian/watch ===
version=4
https://github.com/pothosware/SoapyRTLSDR/tags .*/soapy-rtl-?sdr-([\d\.]+)\.tar\.(?:xz|gz|bz2)
